# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Classes

* [`sysctl::initrd`](#sysctlinitrd): Rebuild initrd after all sysctl rules applied

## Resource types

* [`sysctl`](#sysctl): Manage sysctl parameter with Puppet

## Classes

### sysctl::initrd

Puppet types an providers are currently unable to batch operations. Easiest way to make
sure the initrd is only updated once is therefore to put something in the catalogue and
refer to it which leads to this workaround. Make sure to include this class to satisfy
the redhat requirement to rebuild the initrd when sysctl settings change.

* **See also**
https://access.redhat.com/solutions/2798411

#### Parameters

The following parameters are available in the `sysctl::initrd` class.

##### `rebuild_initrd_cmd`

Data type: `String`

Command to run to rebuild initrd

Default value: "/usr/sbin/dracut -v -f"

##### `enabled`

Data type: `Boolean`

Set `false` to disable the initrd rebuild

Default value: `true`

## Resource types

### sysctl

Manage sysctl parameter with Puppet

#### Properties

The following properties are available in the `sysctl` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

##### `value`

The value the kernel tuning parameter to

##### `defined_in`

File containing this settings definition

##### `value_saved`

The value the kernel tuning parameter _should_ be set to (from file)

#### Parameters

The following parameters are available in the `sysctl` type.

##### `autoflush_ipv4`

run sysctl -w net.ipv4.route.flush=1 when needed

Default value: `true`

##### `autoflush_ipv6`

run sysctl -w net.ipv6.route.flush=1 when needed

Default value: `true`

##### `name`

namevar

The name of the kernel tuning parameter to set

